public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-vaapi/
Date: Tue, 30 May 2023 18:21:32 +0000 (UTC)	[thread overview]
Message-ID: <1685470860.ab6e89bd01a26f402a8ad0badf54707e3d67c405.sam@gentoo> (raw)

commit:     ab6e89bd01a26f402a8ad0badf54707e3d67c405
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 30 18:13:38 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 30 18:21:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab6e89bd

media-plugins/gst-plugins-vaapi: add 1.20.6

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-plugins/gst-plugins-vaapi/Manifest           |  1 +
 .../gst-plugins-vaapi-1.20.6.ebuild                | 98 ++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/media-plugins/gst-plugins-vaapi/Manifest b/media-plugins/gst-plugins-vaapi/Manifest
index 45ac89dfcb32..6fd99af2d450 100644
--- a/media-plugins/gst-plugins-vaapi/Manifest
+++ b/media-plugins/gst-plugins-vaapi/Manifest
@@ -1,4 +1,5 @@
 DIST gstreamer-vaapi-1.20.3.tar.xz 794840 BLAKE2B d422d982dba11175c57f6b6b329c75cbf96810a8653b028ce43dce8dfad0d474ae56ea7b9bde65e5901fb1453517fc1bd6541c0607d071b5b8444e78f30b355f SHA512 029e3e417c185f7aa8386aa3ce543a14bb7b1145e2386a763e109c636f32547c03cc6382fc45bbf1f5f1aab799b0250b852edbfc30dfb0992bcfd4d20b104a90
 DIST gstreamer-vaapi-1.20.4.tar.xz 795596 BLAKE2B d71b21ad0f0b7a1ef2e3d3c9c6c017766b23c928cbb8e63f52682d18c0517e60c2a51de66670d7a65b5d991c2e99dddeee8f20dd48b5cf50a3830ba57a56cb97 SHA512 5cd9a9f08e76aa36f092b18bfa811db8eeec5ff7e49478da4e78b5f876e84a471de6318c8a74ab6941fa1cd3aa1d4a8595df7ee0bad3b62007968d5615d481a3
 DIST gstreamer-vaapi-1.20.5.tar.xz 801628 BLAKE2B 4c3203baefafccbf8983c9e1da17a3455a0566d27b9a12b4d30292289cded803fb4ae8de1f26ff3536c632984227809df69fa9de78af4190acc30b6750c2d27c SHA512 fd24a58c83b0f820b1b2ca3c179228574a16b9f2657988de0c4569d925f01eb131853b0a322ce95b8523578e66ca66443900af1a5e022ecb4081bfe86a2e23bc
+DIST gstreamer-vaapi-1.20.6.tar.xz 801364 BLAKE2B 891e84099a558b31a152b6be2062753201a3958ce5fb67af37525c7b548404636cfeaa9578cdd485fbaddfabfd929f008ea07d0107975cc8174c58e38e791311 SHA512 3c386400b90ce7a90c0bec2244f0ef1a069cea053915abad3803e67ef7b859276f91a859ba1c959aedbfcb395058a0b0d917e9dd2f148b1cc038469996388af3
 DIST gstreamer-vaapi-1.22.3.tar.xz 535108 BLAKE2B a4c7bf18c448a3c1201c4173da02bb14ee0e5ab7c0a841638b8e101800ff85c1709a7faf3655d6ec432ec646405ad394f646b7e77f5aa3670ccd2569dd006429 SHA512 ffbc70d25bc56de0b21fef6cf30f025ccb8d92c981254dcc278a866101812908aacefcbdb745857dff613f81c713ba86ceac1a9b0296324607f0baa7a12f7399

diff --git a/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.20.6.ebuild b/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.20.6.ebuild
new file mode 100644
index 000000000000..d43cde42d49a
--- /dev/null
+++ b/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.20.6.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit gstreamer-meson python-any-r1
+
+MY_PN="gstreamer-vaapi"
+DESCRIPTION="Hardware accelerated video decoding through VA-API plugin for GStreamer"
+HOMEPAGE="https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi"
+SRC_URI="https://gstreamer.freedesktop.org/src/${MY_PN}/${MY_PN}-${PV}.tar.xz"
+
+LICENSE="LGPL-2.1+"
+SLOT="1.0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="+drm +egl gles2 +opengl wayland +X" # Keep default enabled IUSE in sync with gst-plugins-base and libva
+
+# gst-vaapi configure is based around GL platform mainly, unlike gst-plugins-bad that goes by GL API mainly; for less surprises,
+# we design gst-vaapi ebuild in terms of GL API as main choice as well, meaning that USE opengl and/or gles2 is required to
+# enable opengl support at all and choices get chained from there.
+# One or multiple video output are required: drm, x11, glx, egl and/or wayland;
+# but GL API is our main trigger, thus USE=egl should be ineffective if neither gles2 or opengl is enabled;
+# So "|| ( drm egl opengl wayland X )" would be wrong, because egl isn't built with USE="egl -opengl -gles2", ending up with no video outputs.
+# As we ensure at least one working GL output with other REQUIRED_USE, we can put gles2/opengl in REQUIRED_USE instead of egl, solving the issue.
+# gles2 API only supported windowing system (on linux) is EGL, so require it
+# opengl API only supported windowing systems (on linux) are EGL and GLX, so require one of them (glx is enabled with USE="opengl X")
+REQUIRED_USE="
+	|| ( drm gles2 opengl wayland X )
+	gles2? ( egl )
+	opengl? ( || ( egl X ) )
+"
+
+# glx doesn't require libva-glx (libva[opengl]) afaics, only by tests/test-display.c
+# USE flag behavior:
+# 'drm' enables vaapi drm support
+# 'egl' enables EGL platform support (but only if also 'opengl||gles2')
+# - 'egl' is exposed as a USE flag mainly to get EGL support instead of or in addition to GLX support with desktop GL while keeping it optional for pure GLX cases;
+#   it's always required with USE=gles2, thus USE="gles2 opengl X" will require and build desktop GL EGL platform support as well on top of GLX, which doesn't add extra deps at that point.
+# 'gles2' enables GLESv2 or GLESv3 based GL API support
+# 'opengl' enables desktop OpenGL based GL API support
+# 'wayland' enables non-GL Wayland support; wayland EGL support when combined with 'egl' (but only if also 'opengl||gles2')
+# 'X' enables non-GL X support; GLX support when combined with 'opengl'
+# gst-plugins-bad still needed for codecparsers (GL libraries moved to -base); checked for 1.14 (recheck for 1.16)
+GST_REQ="${PV}"
+GL_DEPS="
+	>=media-libs/gst-plugins-base-${GST_REQ}:${SLOT}[egl?,gles2?,opengl?,wayland?,X?]
+	media-libs/mesa[gles2?,egl(+)?,X?,${MULTILIB_USEDEP}]
+"
+RDEPEND="
+	>=media-libs/gst-plugins-base-${GST_REQ}:${SLOT}[${MULTILIB_USEDEP}]
+	>=media-libs/gst-plugins-bad-${GST_REQ}:${SLOT}[${MULTILIB_USEDEP}]
+	>=media-libs/libva-1.4.0:=[drm(+)?,wayland?,X?,${MULTILIB_USEDEP}]
+	drm? (
+		>=virtual/libudev-208:=[${MULTILIB_USEDEP}]
+		>=x11-libs/libdrm-2.4.98[${MULTILIB_USEDEP}]
+	)
+	gles2? ( ${GL_DEPS} )
+	opengl? ( ${GL_DEPS} )
+	wayland? ( >=dev-libs/wayland-1.11.0[${MULTILIB_USEDEP}] )
+	X? (
+		>=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+		>=x11-libs/libXrandr-1.4.2[${MULTILIB_USEDEP}]
+		x11-libs/libXrender[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+# FIXME: "Failed to create vaapipostproc element"
+RESTRICT="test"
+
+multilib_src_configure() {
+	local emesonargs=(
+		-Dwith_encoders=yes
+		-Dwith_drm=$(usex drm yes no)
+		-Dwith_x11=$(usex X yes no)
+		-Dwith_wayland=$(usex wayland yes no)
+	)
+
+	if use opengl || use gles2; then
+		emesonargs+=( -Dwith_egl=$(usex egl yes no) )
+	else
+		emesonargs+=( -Dwith_egl=no )
+	fi
+
+	if use opengl && use X; then
+		emesonargs+=( -Dwith_glx=yes )
+	else
+		emesonargs+=( -Dwith_glx=no )
+	fi
+
+	# Workaround EGL/eglplatform.h being built with X11 present
+	use X || export CFLAGS="${CFLAGS} -DEGL_NO_X11"
+
+	gstreamer_multilib_src_configure
+}


             reply	other threads:[~2023-05-30 18:21 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-30 18:21 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-23 17:27 [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-vaapi/ Matt Turner
2024-04-22  8:19 Arthur Zamarin
2024-04-19 14:23 Arthur Zamarin
2024-04-15  5:01 Arthur Zamarin
2024-04-01 19:55 Mart Raudsepp
2023-10-14  3:43 Sam James
2023-10-13  7:33 Mart Raudsepp
2023-07-25 18:07 Arthur Zamarin
2023-06-10 10:15 Arthur Zamarin
2023-05-30 18:46 Sam James
2023-01-14 15:50 Sam James
2022-12-15  4:46 Arthur Zamarin
2022-12-13 20:09 Arthur Zamarin
2022-12-13 20:03 Arthur Zamarin
2022-12-13 18:26 Arthur Zamarin
2022-11-29 15:58 WANG Xuerui
2022-11-20 18:34 Mart Raudsepp
2022-10-20 17:01 Georgy Yakovlev
2022-09-16  8:53 Arthur Zamarin
2022-09-16  6:52 Agostino Sarubbo
2022-08-26 13:10 Sam James
2022-06-07 13:59 Matt Turner
2022-05-28  1:29 Sam James
2022-05-16 12:35 Jakov Smolić
2022-04-02 12:04 Arthur Zamarin
2022-04-01 15:20 Jakov Smolić
2022-04-01  7:14 Arthur Zamarin
2022-03-29  7:02 Matt Turner
2021-11-21 22:14 Mike Gilbert
2021-11-14  0:43 Mike Gilbert
2021-10-31  0:19 Sam James
2021-09-16 18:55 Sam James
2021-09-16  6:14 Sam James
2021-08-10 14:18 Marek Szuba
2021-05-16 18:33 Georgy Yakovlev
2021-02-19 23:03 Mart Raudsepp
2021-02-17 13:53 Sam James
2021-02-14 14:50 Sam James
2021-02-14  2:12 Sam James
2021-02-13 21:41 Mart Raudsepp
2020-06-29 15:51 Mikle Kolyada
2020-06-21 21:59 Mart Raudsepp
2020-06-21 16:52 Thomas Deutschmann
2020-05-03 19:12 Mart Raudsepp
2020-01-22  9:33 Georgy Yakovlev
2019-12-10 18:10 Aaron Bauman
2019-12-07 13:17 Mikle Kolyada
2019-12-07 13:12 Mikle Kolyada
2019-08-27 21:30 Mart Raudsepp
2019-01-15 23:29 Mart Raudsepp
2019-01-09  4:37 Matt Turner
2019-01-09  1:36 Thomas Deutschmann
2018-09-21  5:32 Mart Raudsepp
2018-09-18  0:28 Mart Raudsepp
2018-07-31  9:41 Mart Raudsepp
2018-07-31  0:43 Thomas Deutschmann
2018-07-16 14:01 Mikle Kolyada
2018-06-18 17:19 Mart Raudsepp
2018-06-18 17:19 Mart Raudsepp
2018-03-17 18:12 Mikle Kolyada
2017-12-17  2:01 Mart Raudsepp
2017-12-17  1:27 Mart Raudsepp
2017-12-17  1:27 Mart Raudsepp
2017-12-16 11:33 Tobias Klausmann
2017-09-18 22:02 Mart Raudsepp
2017-09-18 22:01 Mart Raudsepp
2017-09-16 20:50 Mart Raudsepp
2017-07-15 15:50 Tobias Klausmann
2017-07-08 10:12 Alexis Ballier
2017-06-18  8:31 Mart Raudsepp
2017-02-25 21:31 Mart Raudsepp
2017-02-25 21:25 Mart Raudsepp
2017-02-16 17:26 Agostino Sarubbo
2017-02-16 13:25 Agostino Sarubbo
2017-02-11 15:24 Mart Raudsepp
2017-02-11 15:12 Mart Raudsepp
2017-01-20  8:31 Mart Raudsepp
2016-10-01  0:54 Pacho Ramos
2016-09-18 22:44 Gilles Dartiguelongue
2016-07-31  8:54 Pacho Ramos
2016-07-09 10:12 Pacho Ramos
2016-07-09 10:12 Pacho Ramos
2016-03-06 20:12 Mikle Kolyada
2016-02-21 23:44 Pacho Ramos
2015-12-29 13:42 Pacho Ramos
2015-11-08 22:35 Gilles Dartiguelongue
2015-11-08 22:35 Gilles Dartiguelongue
2015-09-05 13:54 Pacho Ramos
2015-09-05 13:53 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685470860.ab6e89bd01a26f402a8ad0badf54707e3d67c405.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox